Accounts
List account mass payments
Returns a paginated list of mass payments created by your Main Dwolla account. Results are sorted by creation date in descending order (newest first) and can be filtered by correlation ID.
GET
/
accounts
/
{id}
/
mass-payments
cURL
GET https://api-sandbox.dwolla.com/accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments")
.then((res) => res.body.total); // => 1
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payments = app_token.get('accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments')
mass_payments.body['total'] # => 1
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$massPaymentsApi = new DwollaSwagger\MasspaymentsApi($apiClient);
$massPayments = $massPaymentsApi->getAccountMassPayments("CA366CA3-6D30-44D6-B0F3-8D86C64462A1");
$massPayments->total; # => 1
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payments = app_token.get "accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments"
mass_payments.total # => 1
{
"_links": {},
"_embedded": {
"mass-payments": [
{
"_links": {},
"id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
"status": "complete",
"created": "2022-01-20T17:41:41.000Z",
"metaData": {},
"total": {
"value": "5.00",
"currency": "USD"
},
"totalFees": {
"value": "5.00",
"currency": "USD"
},
"correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}
]
},
"total": 100
}{
"code": "forbidden",
"message": "Not authorized to list mass payments."
}{
"code": "notFound",
"message": "Account not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
Account's unique identifier
Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 200Example:
25
How many results to skip.
Example:
0
Correlation ID to search by.
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments")
.then((res) => res.body.total); // => 1
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payments = app_token.get('accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments')
mass_payments.body['total'] # => 1
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$massPaymentsApi = new DwollaSwagger\MasspaymentsApi($apiClient);
$massPayments = $massPaymentsApi->getAccountMassPayments("CA366CA3-6D30-44D6-B0F3-8D86C64462A1");
$massPayments->total; # => 1
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payments = app_token.get "accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/mass-payments"
mass_payments.total # => 1
{
"_links": {},
"_embedded": {
"mass-payments": [
{
"_links": {},
"id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
"status": "complete",
"created": "2022-01-20T17:41:41.000Z",
"metaData": {},
"total": {
"value": "5.00",
"currency": "USD"
},
"totalFees": {
"value": "5.00",
"currency": "USD"
},
"correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}
]
},
"total": 100
}{
"code": "forbidden",
"message": "Not authorized to list mass payments."
}{
"code": "notFound",
"message": "Account not found."
}